Name:		ufoai
Version:	2.3.1
Release:	1
URL:		http://ufoai.sourceforge.net/
Source0:	%{name}-%{version}-source.tar.bz2
Source1:	%{name}.desktop
Patch0:		ufoai-2.3-almost-fhs-compliance.patch
License:	GPLv2+
Group:		Games/Strategy
Summary:	UFO: Alien Invasion

%rename ufo

Requires:	%{name}-data = %{version}

BuildRequires:	curl-devel
BuildRequires:	desktop-file-utils
BuildRequires:	SDL-devel >= 1.2.10
BuildRequires:	SDL_image-devel >= 1.2.7
BuildRequires:	SDL_mixer-devel >= 1.2.7
BuildRequires:	SDL_ttf-devel >= 2.0.7
BuildRequires:	openal-devel
BuildRequires:	gtksourceview-devel
BuildRequires:	gtkglext-devel
BuildRequires:	gtk+-devel
# xvid is in plf, but we can build without support, adding dlopen() support and
# a suggests on it could be done though..
#BuildRequires:	xvid-devel
BuildRequires:	libtheora-devel

%description
UFO: ALIEN INVASION is a strategy game featuring tactical combat against
hostile alien forces which are about to infiltrate earth at this very
moment. You are in command of a small special unit which has been
founded to face the alien strike force. To be successful on the long
run, you will also have to have a research team study the aliens and
their technologies in order to learn as much as possible about their
technology, their goals and the aliens themselves. 'UFO: Alien Invasion'
is heavily inspired by the 'X-COM' series by Mythos and Microprose.


%prep
%setup -q -n %{name}-%{version}-source
%patch0 -p1 -b .fhs~
autoreconf

%build
%configure	--bindir=%{_gamesbindir} \
		--datarootdir=%{_gamesdatadir} \
		--datadir=%{_gamesdatadir} \
		--localedir=%{_datadir}/locale \
		--enable-release 
# (proyvind): required for output of compiled game.so (patch would be better)
mkdir -p base
%make

%install
make install_exec DESTDIR=%{buildroot}

%find_lang ufoai
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
install -m644 src/ports/linux/ufo.png -D %{buildroot}%{_datadir}/pixmaps/%{name}.png

%files -f ufoai.lang
%doc README LICENSES
%{_gamesbindir}/ufo*
%dir %{_gamesdatadir}/ufoai
%dir %{_gamesdatadir}/ufoai/base
%{_gamesdatadir}/ufoai/base/game.so
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Mon Jul 11 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.3.1-1
+ Revision: 689578
- fix buildrequires
- don't ship useless INSTALL file
- drop deprecated spec stuff

  + Johnny A. Solbu <solbu@mandriva.org>
    - New version
    - Bugfix. The folder base/ needs to exist to compile.
    - Define locale dir in ufoai.desktop, the game assumes ./base/i18n/

* Fri Sep 24 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.3-1mdv2011.0
+ Revision: 580811
- disable xvid support as it requires plf package...
- import ufoai


* Thu Sep 23 2010 Per Øyvind Karlsen <peroyvind@mandria.org> 2.3-1
- use &%%{_gamesdatadir} & %%{_gamesbindir}
- make paths comply mostly with FHS (P0)
- package from Johnny A. Solbu <johnny@solbu.net>

* Tue Jul 5 2010 Johnny A. Solbu <johnny@solbu.net> 2.2.1-1mdv
- Bugfix. the shellscripts (/usr/bin/{ufo,ufoded}) tried to launch the game from RPM_BUILD_ROOT.

* Thu Apr 2 2010 Johnny A. Solbu <johnny@solbu.net> 2.2.1-1mdv
- Added menu entry.

* Tue Mar 31 2010 Johnny A. Solbu <johnny@solbu.net> 2.2.1-1mdv
- More spec cleanup, after tip from Per Øyvind Karlsen.

* Tue Mar 30 2010 Johnny A. Solbu <johnny@solbu.net> 2.2.1-1mdv
- Upgraded the package.
- spec cleanup.

* Fri Jan 27 2006 Guillaume Rousse <guillomovitch@zarb.org> 0.10-4plf
- %%mkrel 
- spec cleanup

* Sun Nov 28 2004 Guillaume Rousse <guillomovitch@zarb.org> 0.10-3plf
- fix macros 
- PLF reason

* Tue Sep 28 2004 Guillaume Rousse <guillomovitch@zarb.org> 0.10-2plf
- moved to plf, as it is useless without its data

* Tue Mar 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.10-2mdk
- buildrequires

* Fri Feb 20 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.10-1mdk
- initial mdk release
